function figure10

figure

load('BedrockElevation.mat')
load('coordonates.mat')

subplot(2,3,1);
imagescn(x,y,B,[-5000 5000]);

load('GL_FLUX.mat');

hold on
contour(x,y,ABUK_HAB_m1_GL,2,'color',[0.7922 0.0 0.1373])
hold on
contour(x,y,ABUK_SWD_m1_GL,2,'color',[0.0196 0.4431 0.6902])
hold on
contour(x,y,ABUK_SWF_m1_GL,2,'color',[0.5843 0.7725 0.8706])
hold on
contour(x,y,ABUK_TIL_m1_GL,2,'color',[0.9569 0.6471 0.5098])
hold on
contour(x,y,ABUK_NON_m1_GL,2,'k')

axis xy;
axis equal;
axis tight;
axis off;
set(gcf,'color','w')
colormap(brewermap([],'*RdBu'));
colorbar('off');
title('ABUK, Schoof 2007');


subplot(2,3,2);
imagescn(x,y,B,[-5000 5000]);

hold on
contour(x,y,ABUK_TSAI_HAB_m1_GL,2,'color',[0.7922 0.0 0.1373])
hold on
contour(x,y,ABUK_TSAI_SWD_m1_GL,2,'color',[0.0196 0.4431 0.6902])
hold on
contour(x,y,ABUK_TSAI_SWF_m1_GL,2,'color',[0.5843 0.7725 0.8706])
hold on
contour(x,y,ABUK_TSAI_TIL_m1_GL,2,'color',[0.9569 0.6471 0.5098])
hold on
contour(x,y,ABUK_TSAI_NON_m1_GL,2,'k')

axis xy;
axis equal;
axis tight;
axis off;
set(gcf,'color','w')
colormap(brewermap([],'*RdBu'));
colorbar('off');
title('ABUK, Tsai et al., 2015');

subplot(2,3,3);
hold on
plot(ABUK_NON_m1_SLC,'color',[0.0 0.0 0.0],'linewidth',2)
hold on
plot(ABUK_TSAI_NON_m1_SLC,'--','color',[0.0 0.0 0.0],'linewidth',2)
hold on
plot(ABUK_HAB_m1_SLC,'color',[0.7922 0.0 0.1373],'linewidth',2)
hold on
plot(ABUK_SWD_m1_SLC,'color',[0.0196 0.4431 0.6902],'linewidth',2)
hold on
plot(ABUK_SWF_m1_SLC,'color',[0.5843 0.7725 0.8706],'linewidth',2)
hold on
plot(ABUK_TIL_m1_SLC,'color',[0.9569 0.6471 0.5098],'linewidth',2)
hold on
plot(ABUK_TSAI_HAB_m1_SLC,'--','color',[0.7922 0.0 0.1373],'linewidth',2)
hold on
plot(ABUK_TSAI_SWD_m1_SLC,'--','color',[0.0196 0.4431 0.6902],'linewidth',2)
hold on
plot(ABUK_TSAI_TIL_m1_SLC,'--','color',[0.9569 0.6471 0.5098],'linewidth',2)
hold on
plot(ABUK_TSAI_SWF_m1_SLC,'--','color',[0.5843 0.7725 0.8706],'linewidth',2)
axis([0 86 -1 8])
xticks([0 11 36 61 86]);
xticklabels([2015 2025 2050 2075 2100]);
yticks([-1 0 1 2 3 4 5 6 7 8]);
set(gca, 'FontSize',12,'FontWeight','bold');
xlabel('Year (CE)','FontSize',12,'FontWeight','bold','Color','k')
ylabel('Sea level contribution (m)','FontSize',12,'FontWeight','bold','Color','k')
hold on
legend('Schoof 2007','Tsai et al., 2015','Location','southeast')
hold off

subplot(2,3,4);
imagescn(x,y,B,[-5000 5000]);

hold on
contour(x,y,ABUM_HAB_m1_GL,2,'color',[0.7922 0.0 0.1373])
hold on
contour(x,y,ABUM_SWD_m1_GL,2,'color',[0.0196 0.4431 0.6902])
hold on
contour(x,y,ABUM_SWF_m1_GL,2,'color',[0.5843 0.7725 0.8706])
hold on
contour(x,y,ABUM_TIL_m1_GL,2,'color',[0.9569 0.6471 0.5098])
hold on
contour(x,y,ABUM_NON_m1_GL,2,'k')

axis xy;
axis equal;
axis tight;
axis off;
set(gcf,'color','w')
colormap(brewermap([],'*RdBu'));
colorbar('off');
title('ABUM, Schoof 2007');


subplot(2,3,5);
imagescn(x,y,B,[-5000 5000]);

hold on
contour(x,y,ABUM_TSAI_HAB_m1_GL,2,'color',[0.7922 0.0 0.1373])
hold on
contour(x,y,ABUM_TSAI_SWD_m1_GL,2,'color',[0.0196 0.4431 0.6902])
hold on
contour(x,y,ABUM_TSAI_SWF_m1_GL,2,'color',[0.5843 0.7725 0.8706])
hold on
contour(x,y,ABUM_TSAI_TIL_m1_GL,2,'color',[0.9569 0.6471 0.5098])
hold on
contour(x,y,ABUM_TSAI_NON_m1_GL,2,'k')

axis xy;
axis equal;
axis tight;
axis off;
set(gcf,'color','w')
colormap(brewermap([],'*RdBu'));
colorbar('off');
title('ABUM, Tsai et al., 2015');


subplot(2,3,6);
hold on
plot(ABUM_NON_m1_SLC,'color',[0.0 0.0 0.0],'linewidth',2)
hold on
plot(ABUM_HAB_m1_SLC,'color',[0.7922 0.0 0.1373],'linewidth',2)
hold on
plot(ABUM_SWD_m1_SLC,'color',[0.0196 0.4431 0.6902],'linewidth',2)
hold on
plot(ABUM_SWF_m1_SLC,'color',[0.5843 0.7725 0.8706],'linewidth',2)
hold on
plot(ABUM_TIL_m1_SLC,'color',[0.9569 0.6471 0.5098],'linewidth',2)
hold on
plot(ABUM_TSAI_NON_m1_SLC,'--','color',[0.0 0.0 0.0],'linewidth',2)
hold on
plot(ABUM_TSAI_HAB_m1_SLC,'--','color',[0.7922 0.0 0.1373],'linewidth',2)
hold on
plot(ABUM_TSAI_SWD_m1_SLC,'--','color',[0.0196 0.4431 0.6902],'linewidth',2)
hold on
plot(ABUM_TSAI_TIL_m1_SLC,'--','color',[0.9569 0.6471 0.5098],'linewidth',2)
hold on
plot(ABUM_TSAI_SWF_m1_SLC,'--','color',[0.5843 0.7725 0.8706],'linewidth',2)
axis([0 86 -1 6])
xticks([0 11 36 61 86]);
xticklabels([2015 2025 2050 2075 2100]);
yticks([-1 0 1 2 3 4 5 6]);
set(gca, 'FontSize',12,'FontWeight','bold');
xlabel('Year (CE)','FontSize',12,'FontWeight','bold','Color','k')
ylabel('Sea level contribution (m)','FontSize',12,'FontWeight','bold','Color','k')
hold on
legend({'NON','HAB','SWD','SWF','TIL'},'Location','NorthWest','NumColumns',3)
hold off

end