function maps

figure
initfile='BedrockElevation';
load(initfile);
load('coordonates');
xs=x-2800;
ys=y-2800;
B(MASK==0)=NaN;
imagescn(xs,ys,B);
%%
Basins=zeros(225,225);
load(initfile, 'ZB');
for b = 21:22
        Basins(ZB==b)=1;
end
hold on
contour(xs,ys,ZB==7,'k')
hold on
contour(xs,ys,ZB==14,'k')
hold on
contour(xs,ys,Basins==1,'k')
hold on
annotation('textbox',[0.693999999999999,0.762895235097978,0.309285721233913,0.149523812521072],'String',{'Enderby Land','0.8 10^6 Gt of ice '},'FitBoxToText','on','FontSize',14,'FontWeight','bold','LineStyle','none');
annotation('textbox',[0.542857142857142,0.098799997647605,0.289142863695963,0.11533333568573],'String',{'Wilkes Land','1.5 10^6 Gt of ice '},'FitBoxToText','on','FontSize',14,'FontWeight','bold','LineStyle','none');
annotation('textbox',[0.235842857142857,0.140866659582233,0.309285721233913,0.320952388036819],'String',{'Pine','Island','and Thwaites','glaciers','0.8 10^6 Gt of ice '},'FitBoxToText','on','FontSize',14,'FontWeight','bold','LineStyle','none');
%%%
colormap(brewermap([],'*RdYlBu'));
hold on;
myscale=[-2500 2500];
caxis(myscale);
h=colorbar;
h.Label.String='Bedrock elevation (m)';
a=h.Position;
h.Position=[0.19 0.16 0.025 0.7];
b=h.LineWidth;
h.LineWidth=1;
y=h.FontSize;
h.FontSize=14;
x=h.FontWeight;
h.Ticks=[-2500 -1250 0 1250 2500];
h.TickLabels=[-2500 -1250 0 1250 2500];
caxis(myscale);
set(h,'YTick');
set(h,'YTickLabel');
% latitude-longitude
thickness=0.1;
Re=6371.221; % Earth radius
k0=0.9728; % scale factor in stereographic projection
% parallels
lat=[-80 -70];
lam=linspace(-180,180,50)'*pi/180;
phi1=-90*pi/180;
hold on 
for i=1:length(lat)
    phi=ones(length(lam),1)*lat(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
% meridians
lon=[-150 -120 -90 -60 -30 0 30 60 90 120 150 180];
phi=linspace(-80,-67,10)'*pi/180;
for i=1:length(lon)
    lam=ones(length(phi),1)*lon(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
lon=[-90 0 90 180];
phi=linspace(-90,-67,10)'*pi/180;
for i=1:length(lon)
    lam=ones(length(phi),1)*lon(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
annotation('textbox',[0.080842857142856,0.885238095238097,0.069514285714286,0.081342857142861],'String',{'(a)'},'FitBoxToText','on','FontSize',14,'FontWeight','bold','LineStyle','none');
set(gcf,'color','w')
axis xy;
axis square;
axis off;