function maps

figure
initfile='TIL_Neff';
load(initfile);
load('coordonates');
xs=x-2800;
ys=y-2800;
Neff(MASK==0)=NaN;
imagescn(xs,ys,Neff);
%%%
colormap(brewermap([],'*RdYlBu'));
hold on;
myscale=[0 30000000];
caxis(myscale);
h=colorbar;
h.Label.String='Effective pressure (Pa)';
a=h.Position;
h.Position=[0.19 0.16 0.025 0.7];
b=h.LineWidth;
h.LineWidth=1;
y=h.FontSize;
h.FontSize=14;
x=h.FontWeight;
%h.FontWeight='bold';
h.Ticks=[0 10000000 20000000 30000000];
h.TickLabels=[0 10000000 20000000 30000000];
caxis(myscale);
set(h,'YTick');
set(h,'YTickLabel');
% latitude-longitude
thickness=0.1;
Re=6371.221; % Earth radius
k0=0.9728; % scale factor in stereographic projection
% parallels
lat=[-80 -70];
lam=linspace(-180,180,50)'*pi/180;
phi1=-90*pi/180;
hold on 
for i=1:length(lat)
    phi=ones(length(lam),1)*lat(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
% meridians
lon=[-150 -120 -90 -60 -30 0 30 60 90 120 150 180];
phi=linspace(-80,-67,10)'*pi/180;
for i=1:length(lon)
    lam=ones(length(phi),1)*lon(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
lon=[-90 0 90 180];
phi=linspace(-90,-67,10)'*pi/180;
for i=1:length(lon)
    lam=ones(length(phi),1)*lon(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
annotation('textbox',[0.080842857142856,0.885238095238097,0.069514285714286,0.081342857142861],'String',{'(d)'},'FitBoxToText','on','FontSize',14,'FontWeight','bold','LineStyle','none');
set(gcf,'color','w')
axis xy;
axis square;
axis off;