function supplementary_m1 
%S1
clear all
figure
%S1 (a)
load('Ab_m1','Ab_NON');
load('coordonates');
xs=x-2800;
ys=y-2800;
Ab_NON(MASK==0)=NaN;
imagescn(xs,ys,log10(Ab_NON));
%%%
colormap(brewermap([],'*RdYlBu'));
hold on;
myscale=[-10 -5];
caxis(myscale);
h=colorbar;
h.Label.String='Basal sliding coefficient A_{b}';
a=h.Position;
h.Position=[0.19 0.16 0.025 0.7];
b=h.LineWidth;
h.LineWidth=1;
y=h.FontSize;
h.FontSize=14;
x=h.FontWeight;
%h.FontWeight='bold';
h.Ticks=[-10 -9 -8 -7 -6 -5];
h.TickLabels=[1e-10 1e-9 1e-8 1e-7 1e-6 1e-5];
ticks_wanted=[1e-10 1e-9 1e-8 1e-7 1e-6 1e-5];
caxis(myscale);
set(h,'YTick');
set(h,'YTickLabel');
% latitude-longitude
thickness=0.1;
Re=6371.221; % Earth radius
k0=0.9728; % scale factor in stereographic projection
% parallels
lat=[-80 -70];
lam=linspace(-180,180,50)'*pi/180;
phi1=-90*pi/180;
hold on 
for i=1:length(lat)
    phi=ones(length(lam),1)*lat(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
% meridians
lon=[-150 -120 -90 -60 -30 0 30 60 90 120 150 180];
phi=linspace(-80,-67,10)'*pi/180;
for i=1:length(lon)
    lam=ones(length(phi),1)*lon(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
lon=[-90 0 90 180];
phi=linspace(-90,-67,10)'*pi/180;
for i=1:length(lon)
    lam=ones(length(phi),1)*lon(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
annotation('textbox',[0.080842857142856,0.885238095238097,0.069514285714286,0.081342857142861],'String',{'(a)'},'FitBoxToText','on','FontSize',14,'FontWeight','bold','LineStyle','none');
set(gcf,'color','w')
axis xy;
axis square;
axis off;

clear all
figure
%S1 (b)
load('Ab_m1','Ab_HAB');
load('coordonates');
xs=x-2800;
ys=y-2800;
Ab_HAB(MASK==0)=NaN;
imagescn(xs,ys,log10(Ab_HAB));
%%%
colormap(brewermap([],'*RdYlBu'));
hold on;
myscale=[-10 -5];
caxis(myscale);
h=colorbar;
h.Label.String='Basal sliding coefficient A_{b}';
a=h.Position;
h.Position=[0.19 0.16 0.025 0.7];
b=h.LineWidth;
h.LineWidth=1;
y=h.FontSize;
h.FontSize=14;
x=h.FontWeight;
%h.FontWeight='bold';
h.Ticks=[-10 -9 -8 -7 -6 -5];
h.TickLabels=[1e-10 1e-9 1e-8 1e-7 1e-6 1e-5];
ticks_wanted=[1e-10 1e-9 1e-8 1e-7 1e-6 1e-5];
caxis(myscale);
set(h,'YTick');
set(h,'YTickLabel');
% latitude-longitude
thickness=0.1;
Re=6371.221; % Earth radius
k0=0.9728; % scale factor in stereographic projection
% parallels
lat=[-80 -70];
lam=linspace(-180,180,50)'*pi/180;
phi1=-90*pi/180;
hold on 
for i=1:length(lat)
    phi=ones(length(lam),1)*lat(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
% meridians
lon=[-150 -120 -90 -60 -30 0 30 60 90 120 150 180];
phi=linspace(-80,-67,10)'*pi/180;
for i=1:length(lon)
    lam=ones(length(phi),1)*lon(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
lon=[-90 0 90 180];
phi=linspace(-90,-67,10)'*pi/180;
for i=1:length(lon)
    lam=ones(length(phi),1)*lon(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
annotation('textbox',[0.080842857142856,0.885238095238097,0.069514285714286,0.081342857142861],'String',{'(b)'},'FitBoxToText','on','FontSize',14,'FontWeight','bold','LineStyle','none');
set(gcf,'color','w')
axis xy;
axis square;
axis off;

clear all
figure
%S1 (c)
load('Ab_m1','Ab_SWD');
load('coordonates');
xs=x-2800;
ys=y-2800;
Ab_SWD(MASK==0)=NaN;
imagescn(xs,ys,log10(Ab_SWD));
%%%
colormap(brewermap([],'*RdYlBu'));
hold on;
myscale=[-10 -5];
caxis(myscale);
h=colorbar;
h.Label.String='Basal sliding coefficient A_{b}';
a=h.Position;
h.Position=[0.19 0.16 0.025 0.7];
b=h.LineWidth;
h.LineWidth=1;
y=h.FontSize;
h.FontSize=14;
x=h.FontWeight;
%h.FontWeight='bold';
h.Ticks=[-10 -9 -8 -7 -6 -5];
h.TickLabels=[1e-10 1e-9 1e-8 1e-7 1e-6 1e-5];
ticks_wanted=[1e-10 1e-9 1e-8 1e-7 1e-6 1e-5];
caxis(myscale);
set(h,'YTick');
set(h,'YTickLabel');
% latitude-longitude
thickness=0.1;
Re=6371.221; % Earth radius
k0=0.9728; % scale factor in stereographic projection
% parallels
lat=[-80 -70];
lam=linspace(-180,180,50)'*pi/180;
phi1=-90*pi/180;
hold on 
for i=1:length(lat)
    phi=ones(length(lam),1)*lat(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
% meridians
lon=[-150 -120 -90 -60 -30 0 30 60 90 120 150 180];
phi=linspace(-80,-67,10)'*pi/180;
for i=1:length(lon)
    lam=ones(length(phi),1)*lon(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
lon=[-90 0 90 180];
phi=linspace(-90,-67,10)'*pi/180;
for i=1:length(lon)
    lam=ones(length(phi),1)*lon(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
annotation('textbox',[0.080842857142856,0.885238095238097,0.069514285714286,0.081342857142861],'String',{'(c)'},'FitBoxToText','on','FontSize',14,'FontWeight','bold','LineStyle','none');
set(gcf,'color','w')
axis xy;
axis square;
axis off;

clear all
figure
%S1 (d)
load('Ab_m1','Ab_SWF');
load('coordonates');
xs=x-2800;
ys=y-2800;
Ab_SWF(MASK==0)=NaN;
imagescn(xs,ys,log10(Ab_SWF));
%%%
colormap(brewermap([],'*RdYlBu'));
hold on;
myscale=[-10 -5];
caxis(myscale);
h=colorbar;
h.Label.String='Basal sliding coefficient A_{b}';
a=h.Position;
h.Position=[0.19 0.16 0.025 0.7];
b=h.LineWidth;
h.LineWidth=1;
y=h.FontSize;
h.FontSize=14;
x=h.FontWeight;
%h.FontWeight='bold';
h.Ticks=[-10 -9 -8 -7 -6 -5];
h.TickLabels=[1e-10 1e-9 1e-8 1e-7 1e-6 1e-5];
ticks_wanted=[1e-10 1e-9 1e-8 1e-7 1e-6 1e-5];
caxis(myscale);
set(h,'YTick');
set(h,'YTickLabel');
% latitude-longitude
thickness=0.1;
Re=6371.221; % Earth radius
k0=0.9728; % scale factor in stereographic projection
% parallels
lat=[-80 -70];
lam=linspace(-180,180,50)'*pi/180;
phi1=-90*pi/180;
hold on 
for i=1:length(lat)
    phi=ones(length(lam),1)*lat(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
% meridians
lon=[-150 -120 -90 -60 -30 0 30 60 90 120 150 180];
phi=linspace(-80,-67,10)'*pi/180;
for i=1:length(lon)
    lam=ones(length(phi),1)*lon(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
lon=[-90 0 90 180];
phi=linspace(-90,-67,10)'*pi/180;
for i=1:length(lon)
    lam=ones(length(phi),1)*lon(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
annotation('textbox',[0.080842857142856,0.885238095238097,0.069514285714286,0.081342857142861],'String',{'(d)'},'FitBoxToText','on','FontSize',14,'FontWeight','bold','LineStyle','none');
set(gcf,'color','w')
axis xy;
axis square;
axis off;

clear all
figure
%S1 (e)
load('Ab_m1','Ab_TIL');
load('coordonates');
xs=x-2800;
ys=y-2800;
Ab_TIL(MASK==0)=NaN;
imagescn(xs,ys,log10(Ab_TIL));
%%%
colormap(brewermap([],'*RdYlBu'));
hold on;
myscale=[-10 -5];
caxis(myscale);
h=colorbar;
h.Label.String='Basal sliding coefficient A_{b}';
a=h.Position;
h.Position=[0.19 0.16 0.025 0.7];
b=h.LineWidth;
h.LineWidth=1;
y=h.FontSize;
h.FontSize=14;
x=h.FontWeight;
%h.FontWeight='bold';
h.Ticks=[-10 -9 -8 -7 -6 -5];
h.TickLabels=[1e-10 1e-9 1e-8 1e-7 1e-6 1e-5];
ticks_wanted=[1e-10 1e-9 1e-8 1e-7 1e-6 1e-5];
caxis(myscale);
set(h,'YTick');
set(h,'YTickLabel');
% latitude-longitude
thickness=0.1;
Re=6371.221; % Earth radius
k0=0.9728; % scale factor in stereographic projection
% parallels
lat=[-80 -70];
lam=linspace(-180,180,50)'*pi/180;
phi1=-90*pi/180;
hold on 
for i=1:length(lat)
    phi=ones(length(lam),1)*lat(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
% meridians
lon=[-150 -120 -90 -60 -30 0 30 60 90 120 150 180];
phi=linspace(-80,-67,10)'*pi/180;
for i=1:length(lon)
    lam=ones(length(phi),1)*lon(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
lon=[-90 0 90 180];
phi=linspace(-90,-67,10)'*pi/180;
for i=1:length(lon)
    lam=ones(length(phi),1)*lon(i)*pi/180;
    k1=2*k0./(1+sin(phi1)*sin(phi)+cos(phi1)*cos(phi).*cos(lam));
    x=Re*k1.*cos(phi).*sin(lam);
    y=Re*k1.*(cos(phi1)*sin(phi)-sin(phi1)*cos(phi).*cos(lam));
    hold on 
    plot(x,y,'k--','LineWidth',thickness);
end
annotation('textbox',[0.080842857142856,0.885238095238097,0.069514285714286,0.081342857142861],'String',{'(e)'},'FitBoxToText','on','FontSize',14,'FontWeight','bold','LineStyle','none');
set(gcf,'color','w')
axis xy;
axis square;
axis off;

clear all
end